Beefy Boxes and Bandwidth Generously Provided by pair Networks
There's more than one way to do things
 
PerlMonks  

problems installing only-0.28

by mifflin (Curate)
on Dec 29, 2006 at 00:52 UTC ( #592155=perlquestion: print w/ replies, xml ) Need Help??
mifflin has asked for the wisdom of the Perl Monks concerning the following question:

I'm trying to install only-0.28 but it spits up something awful. Below is the make test output. In addition, I also get a big core dump file.
Can someone throw me a hint as to the what the problem might be here?
make test output ...
# make test PERL_DL_NONLAZY=1 /home/utils/perl-5.8.8/bin/perl "-MExtUtils::Command +::MM" "-e" "test_harness(0, 'inc', 'blib/lib', 'blib/arch')" t/*.t t/00config.............ok + t/01install............ok + t/02basic..............Loaded _Foo::Bar, but version (v1.0.0) did not +satisfy the requirement: use only _Foo::Bar => '0.50'; at t/02basic.t line 6 BEGIN failed--compilation aborted at t/02basic.t line 6. # Looks like your test died before it could output anything. t/02basic..............dubious + Test returned status 255 (wstat 65280, 0xff00) DIED. FAILED test 1 Failed 1/1 tests, 0.00% okay t/03range..............Loaded _Foo::Bar, but version (v1.0.0) did not +satisfy the requirement: use only _Foo::Bar => '0.50-0.59 !0.50'; at t/03range.t line 6 BEGIN failed--compilation aborted at t/03range.t line 6. # Looks like your test died before it could output anything. t/03range..............dubious + Test returned status 255 (wstat 65280, 0xff00) DIED. FAILED tests 1-4 Failed 4/4 tests, 0.00% okay t/04clobber............Loaded _Foo::Bar, but version (v1.0.0) did not +satisfy the requirement: use only _Foo::Bar => '0.55'; at t/04clobber.t line 6 BEGIN failed--compilation aborted at t/04clobber.t line 6. # Looks like your test died before it could output anything. t/04clobber............dubious + Test returned status 255 (wstat 65280, 0xff00) DIED. FAILED tests 1-7 Failed 7/7 tests, 0.00% okay t/05site...............Use of uninitialized value in pattern match (m/ +/) at t/05site.t line 7. t/05site...............ok 1/4Use of uninitialized value in pattern mat +ch (m//) at t/05site.t line 10. t/05site...............ok + t/06require............Loaded _Foo::Bar, but version (v1.0.0) did not +satisfy the requirement: use only _Foo::Bar => '0.60'; at t/06require.t line 6 BEGIN failed--compilation aborted at t/06require.t line 6. # Looks like your test died before it could output anything. t/06require............dubious + Test returned status 255 (wstat 65280, 0xff00) DIED. FAILED tests 1-2 Failed 2/2 tests, 0.00% okay t/07inc................Loaded _Foo::Bar, but version (v1.0.0) did not +satisfy the requirement: use only _Foo::Bar => '0.60'; at t/07inc.t line 6 BEGIN failed--compilation aborted at t/07inc.t line 6. # Looks like your test died before it could output anything. t/07inc................dubious + Test returned status 255 (wstat 65280, 0xff00) DIED. FAILED tests 1-5 Failed 5/5 tests, 0.00% okay t/08use................ok + t/09alternate..........ok 1/4 + t/09alternate..........NOK 2/4# Failed test at t/09alternate.t line +25. # got: 'Can't locate desired version of _Boom in @INC: # - only:_Boom:/home/erickn/perlinstall/build/only-0.28/t/alternate # - t/site # - t/lib # - t # - inc # - /home/erickn/perlinstall/build/only-0.28/inc # - /home/erickn/perlinstall/build/only-0.28/blib/lib # - /home/erickn/perlinstall/build/only-0.28/blib/arch # - /home/utils/perl-5.8.8/lib/5.8.8/sun4-solaris # - /home/utils/perl-5.8.8/lib/5.8.8 # - /home/utils/perl-5.8.8/lib/site_perl/5.8.8/sun4-solaris # - /home/utils/perl-5.8.8/lib/site_perl/5.8.8 # - /home/utils/perl-5.8.8/lib/site_perl # - . # at (eval 24) line 2 # BEGIN failed--compilation aborted at (eval 24) line 2. # ' # expected: '' # Failed test at t/09alternate.t line 26. # got: undef t/09alternate..........NOK 3/4# expected: '0.77' + # Failed test at t/09alternate.t line 27. t/09alternate..........NOK 4/4# got: undef + # expected: 'Bada-Boom' # Looks like you failed 3 tests of 4. t/09alternate..........dubious + Test returned status 3 (wstat 768, 0x300) DIED. FAILED tests 2-4 Failed 3/4 tests, 25.00% okay t/10install_version....ok 1/4 + # Failed test at t/10install_version.t line 14. t/10install_version....NOK 2/4# got: 'Can't locate desired ve +rsion of _Boom in @INC: # - only:_Boom:/home/erickn/perlinstall/build/only-0.28/t/alternate # - t/site # - t/lib # - t # - inc # - /home/erickn/perlinstall/build/only-0.28/inc # - /home/erickn/perlinstall/build/only-0.28/blib/lib # - /home/erickn/perlinstall/build/only-0.28/blib/arch # - /home/utils/perl-5.8.8/lib/5.8.8/sun4-solaris # - /home/utils/perl-5.8.8/lib/5.8.8 # - /home/utils/perl-5.8.8/lib/site_perl/5.8.8/sun4-solaris # - /home/utils/perl-5.8.8/lib/site_perl/5.8.8 # - /home/utils/perl-5.8.8/lib/site_perl # - . # at (eval 24) line 2 # BEGIN failed--compilation aborted at (eval 24) line 2. # ' # expected: '' # Failed test at t/10install_version.t line 15. t/10install_version....NOK 3/4# got: undef + # expected: '0.77' # Failed test at t/10install_version.t line 16. t/10install_version....NOK 4/4# got: undef + # expected: 'Bada-Boom' # Looks like you failed 3 tests of 4. t/10install_version....dubious + Test returned status 3 (wstat 768, 0x300) DIED. FAILED tests 2-4 Failed 3/4 tests, 25.00% okay t/11fail_msg...........ok + t/12set_versionlib..... # Failed test at t/12set_versionlib.t line 15. # got: 'Can't locate desired version of _Boom in @INC: # - only:_Boom:/home/erickn/perlinstall/build/only-0.28/t/alternate # - t/site t/12set_versionlib.....NOK 1/3# - t/lib + # - t # - inc # - /home/erickn/perlinstall/build/only-0.28/inc # - /home/erickn/perlinstall/build/only-0.28/blib/lib # - /home/erickn/perlinstall/build/only-0.28/blib/arch # - /home/utils/perl-5.8.8/lib/5.8.8/sun4-solaris # - /home/utils/perl-5.8.8/lib/5.8.8 # - /home/utils/perl-5.8.8/lib/site_perl/5.8.8/sun4-solaris # - /home/utils/perl-5.8.8/lib/site_perl/5.8.8 # - /home/utils/perl-5.8.8/lib/site_perl # - . # at (eval 16) line 2 # BEGIN failed--compilation aborted at (eval 16) line 2. # ' # expected: '' # Failed test at t/12set_versionlib.t line 16. # got: undef t/12set_versionlib.....NOK 2/3# expected: '0.77' + # Failed test at t/12set_versionlib.t line 17. t/12set_versionlib.....NOK 3/3# got: undef + # expected: 'Bada-Boom' # Looks like you failed 3 tests of 3. t/12set_versionlib.....dubious + Test returned status 3 (wstat 768, 0x300) DIED. FAILED tests 1-3 Failed 3/3 tests, 0.00% okay t/13ooapi..............ok 1/11 + t/13ooapi..............NOK 2/11# Failed test at t/13ooapi.t line 20. + # got: '1.00' # expected: '0.50' # Failed test at t/13ooapi.t line 22. t/13ooapi..............NOK 4/11# 't/site/_Foo/Bar.pm +' # doesn't match '(?-xism:version)' # Failed test at t/13ooapi.t line 23. t/13ooapi..............NOK 5/11Use of uninitialized value in pattern m +atch (m//) at t/13ooapi.t line 24. # Failed test at t/13ooapi.t line 24. t/13ooapi..............NOK 6/11# undef + # doesn't match '(?-xism:version)' Deep recursion on subroutine "only::INC" at /home/utils/perl-5.8.8/lib +/5.8.8/AutoLoader.pm line 92. Deep recursion on subroutine "only::search" at /home/erickn/perlinstal +l/build/only-0.28/blib/lib/only.pm line 131. Deep recursion on subroutine "only::check_version" at /home/erickn/per +linstall/build/only-0.28/blib/lib/only.pm line 166. Deep recursion on subroutine "AutoLoader::AUTOLOAD" at /home/erickn/pe +rlinstall/build/only-0.28/blib/lib/only.pm line 367. t/13ooapi..............dubious + Test returned status 0 (wstat 139, 0x8b) DIED. FAILED tests 2, 4-11 Failed 9/11 tests, 18.18% okay Failed Test Stat Wstat Total Fail List of Failed ---------------------------------------------------------------------- +--------- t/02basic.t 255 65280 1 2 1 t/03range.t 255 65280 4 8 1-4 t/04clobber.t 255 65280 7 14 1-7 t/06require.t 255 65280 2 4 1-2 t/07inc.t 255 65280 5 10 1-5 t/09alternate.t 3 768 4 3 2-4 t/10install_version.t 3 768 4 3 2-4 t/12set_versionlib.t 3 768 3 3 1-3 t/13ooapi.t 0 139 11 14 2 4-11 Failed 9/14 test scripts. 37/54 subtests failed. Files=14, Tests=54, 17 wallclock secs ( 5.25 cusr + 3.11 csys = 8.36 + CPU) Failed 9/14 test programs. 37/54 subtests failed. *** Error code 255 make: Fatal error: Command failed for target `test_dynamic'
edit: added readmore tags
edit: changed title to refer to exact module

Comment on problems installing only-0.28
Download Code
Re: problems installing "only"
by mifflin (Curate) on Dec 29, 2006 at 01:35 UTC
Re: problems installing "only"
by ysth (Canon) on Dec 29, 2006 at 02:39 UTC
    I know only uses version.pm if it is present; do you have that? If not, try installing it: http://search.cpan.org/dist/version. If so, does getting the newest version version help?
      I had just installed the latest version of version. prior to trying to install only.

      edit: jdporter suggested module links
Re: problems installing "only"
by JSchmitz (Canon) on Dec 29, 2006 at 15:24 UTC
    I was able to do an install no problem on Red Hat 3 - What OS are you trying to install on?
    [root@darkstar only-0.28]# perl Makefile.PL "only.pm" has special functionality that allows you to install multipl +e versions of any Perl module. In order to do this, it installs the modules in a separate directory than the rest of your modules. You need to decide which directory the modules will be installed in. This value will be stored in only::config so that only.pm will know where to look in order to load special versions of a module. The suggested place to install special versions of Perl modules is: /usr/lib/perl5/version/5.8.0 Do you want to use the "suggested" directory (y/n)? [y] y Checking if your kit is complete... Looks good Writing Makefile for only [root@darkstar only-0.28]# make cp lib/only/config.pm blib/lib/only/config.pm cp lib/only.pm blib/lib/only.pm cp lib/only/install.pm blib/lib/only/install.pm Manifying blib/man3/only.3pm Manifying blib/man3/only::install.3pm [root@darkstar only-0.28]# make test PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_h +arness(0, 'inc', 'blib/lib', 'blib/arch')" t/*.t t/00config.............ok t/01install............ok t/02basic..............ok t/03range..............ok t/04clobber............ok t/05site...............ok t/06require............ok t/07inc................ok t/08use................ok t/09alternate..........ok t/10install_version....ok t/11fail_msg...........ok t/12set_versionlib.....ok t/13ooapi..............ok All tests successful. Files=14, Tests=54, 1 wallclock secs ( 0.98 cusr + 0.06 csys = 1.04 + CPU) [root@darkstar only-0.28]# make install Installing /usr/lib/perl5/site_perl/5.8.0/only.pm Installing /usr/lib/perl5/site_perl/5.8.0/only/config.pm Installing /usr/lib/perl5/site_perl/5.8.0/only/install.pm Installing /usr/share/man/man3/only.3pm Installing /usr/share/man/man3/only::install.3pm Writing /usr/lib64/perl5/site_perl/5.8.0/auto/only/.packlist Appending installation info to /usr/lib64/perl5/5.8.0/x86_64-linux-thr +ead-multi/perllocal.pod
      Sun OS 5.9 ( if i remember the versioning numbers correctly ), I think the Unix SA's here refer to it as Solaris 9. It is running on Fujitsu box. Looks like your successful install was done on Perl 5.8.0 while I was trying to install into 5.8.8. Did you have the version module installed too?

      edit: fixed os version number.
      edit: added module tags due to jdporter's suggestion
        Ahhh solaris 9 huh - Yeah I have had problems installing modules on Solaris before - I have had a lot more luck with Solaris 10 since it is more "linuxy" I don't have the version module installed. Have you tried to install using the -force option? That has worked for me in the past even though the test threw some failures out. Especially on Solaris platform.

        Okay updated ..I just tried to install on Solaris 8 and didn't even get as far as you did = (

        I am still trying to figure this out....

        # uname -a sunOS jabberwocky 5.8 Generic_108528-22 sun4u sparc SUNW,UltraAX-i2 # perl Makefile.PL Can't locate object method "splitpath" via package "File::Spec" at inc +/Module/Install/PERSONAL/only.pm - /Users/ingy/lib/Module/Install/PER +SONAL/only.pm line 58.
Re: problems installing "only"
by bingos (Vicar) on Dec 29, 2006 at 18:11 UTC

    It looks like only has problems with Solaris

    I have just tested on Solaris 7, perl-5.8.8, with similar results.

      I have the exact same problem on Windows XP, SP2, Perl 5.8.8, with the newest PathTools and version.

      This is keeping Locale-KeyedText-v1.73.0 from installing
      which is keeping SQL-Routine-SQLBuilder-v0.21.2 from installing

      I may not need it so I am dropping it for now, but it is not a Solaris only problem.
      Pun intended.

Log In?
Username:
Password:

What's my password?
Create A New User
Node Status?
node history
Node Type: perlquestion [id://592155]
Approved by Joost
help
Chatterbox?
and the web crawler heard nothing...

How do I use this? | Other CB clients
Other Users?
Others meditating upon the Monastery: (12)
As of 2014-07-31 15:31 GMT
Sections?
Information?
Find Nodes?
Leftovers?
    Voting Booth?

    My favorite superfluous repetitious redundant duplicative phrase is:









    Results (249 votes), past polls